---
apiVersion: vinyl.solidite.fr/v1beta1
kind: Component
category: core
metadata:
  name: fission
  description: null
options:
  additionnal_namespaces:
    default: default,vynil-monitor,vynil-functions
    description: list of namespaces to support functions from (coma separated)
    examples:
    - default,vynil-monitor,vynil-functions
    type: string
  images:
    default:
      bundle:
        pull_policy: IfNotPresent
        registry: ghcr.io
        repository: fission/fission-bundle
        tag: v1.20.1
      fetcher:
        registry: docker.io
        repository: fission/fetcher
        tag: v1.20.1
      keda-aws-kinesis:
        registry: ghcr.io
        repository: fission/keda-aws-kinesis-http-connector
        tag: v0.11
      keda-aws-sqs:
        registry: ghcr.io
        repository: fission/keda-aws-sqs-http-connector
        tag: v0.12
      keda-gcp-pubsub:
        registry: ghcr.io
        repository: fission/keda-gcp-pubsub-http-connector
        tag: v0.7
      keda-kafka:
        registry: ghcr.io
        repository: fission/keda-kafka-http-connector
        tag: v0.13
      keda-nats-jetstream:
        registry: ghcr.io
        repository: fission/keda-nats-jetstream-http-connector
        tag: v0.5
      keda-nats-streaming:
        registry: ghcr.io
        repository: fission/keda-nats-streaming-http-connector
        tag: v0.14
      keda-rabbitmq:
        registry: ghcr.io
        repository: fission/keda-rabbitmq-http-connector
        tag: v0.11
      keda-redis:
        registry: ghcr.io
        repository: fission/keda-redis-http-connector
        tag: v0.4
    examples:
    - bundle:
        pull_policy: IfNotPresent
        registry: ghcr.io
        repository: fission/fission-bundle
        tag: v1.20.1
      fetcher:
        registry: docker.io
        repository: fission/fetcher
        tag: v1.20.1
      keda-aws-kinesis:
        registry: ghcr.io
        repository: fission/keda-aws-kinesis-http-connector
        tag: v0.11
      keda-aws-sqs:
        registry: ghcr.io
        repository: fission/keda-aws-sqs-http-connector
        tag: v0.12
      keda-gcp-pubsub:
        registry: ghcr.io
        repository: fission/keda-gcp-pubsub-http-connector
        tag: v0.7
      keda-kafka:
        registry: ghcr.io
        repository: fission/keda-kafka-http-connector
        tag: v0.13
      keda-nats-jetstream:
        registry: ghcr.io
        repository: fission/keda-nats-jetstream-http-connector
        tag: v0.5
      keda-nats-streaming:
        registry: ghcr.io
        repository: fission/keda-nats-streaming-http-connector
        tag: v0.14
      keda-rabbitmq:
        registry: ghcr.io
        repository: fission/keda-rabbitmq-http-connector
        tag: v0.11
      keda-redis:
        registry: ghcr.io
        repository: fission/keda-redis-http-connector
        tag: v0.4
    properties:
      bundle:
        default:
          pull_policy: IfNotPresent
          registry: ghcr.io
          repository: fission/fission-bundle
          tag: v1.20.1
        properties:
          pull_policy:
            default: IfNotPresent
            enum:
            - Always
            - Never
            - IfNotPresent
            type: string
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/fission-bundle
            type: string
          tag:
            default: v1.20.1
            type: string
        type: object
      fetcher:
        default:
          registry: docker.io
          repository: fission/fetcher
          tag: v1.20.1
        properties:
          registry:
            default: docker.io
            type: string
          repository:
            default: fission/fetcher
            type: string
          tag:
            default: v1.20.1
            type: string
        type: object
      keda-aws-kinesis:
        default:
          registry: ghcr.io
          repository: fission/keda-aws-kinesis-http-connector
          tag: v0.11
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-aws-kinesis-http-connector
            type: string
          tag:
            default: v0.11
            type: string
        type: object
      keda-aws-sqs:
        default:
          registry: ghcr.io
          repository: fission/keda-aws-sqs-http-connector
          tag: v0.12
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-aws-sqs-http-connector
            type: string
          tag:
            default: v0.12
            type: string
        type: object
      keda-gcp-pubsub:
        default:
          registry: ghcr.io
          repository: fission/keda-gcp-pubsub-http-connector
          tag: v0.7
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-gcp-pubsub-http-connector
            type: string
          tag:
            default: v0.7
            type: string
        type: object
      keda-kafka:
        default:
          registry: ghcr.io
          repository: fission/keda-kafka-http-connector
          tag: v0.13
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-kafka-http-connector
            type: string
          tag:
            default: v0.13
            type: string
        type: object
      keda-nats-jetstream:
        default:
          registry: ghcr.io
          repository: fission/keda-nats-jetstream-http-connector
          tag: v0.5
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-nats-jetstream-http-connector
            type: string
          tag:
            default: v0.5
            type: string
        type: object
      keda-nats-streaming:
        default:
          registry: ghcr.io
          repository: fission/keda-nats-streaming-http-connector
          tag: v0.14
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-nats-streaming-http-connector
            type: string
          tag:
            default: v0.14
            type: string
        type: object
      keda-rabbitmq:
        default:
          registry: ghcr.io
          repository: fission/keda-rabbitmq-http-connector
          tag: v0.11
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-rabbitmq-http-connector
            type: string
          tag:
            default: v0.11
            type: string
        type: object
      keda-redis:
        default:
          registry: ghcr.io
          repository: fission/keda-redis-http-connector
          tag: v0.4
        properties:
          registry:
            default: ghcr.io
            type: string
          repository:
            default: fission/keda-redis-http-connector
            type: string
          tag:
            default: v0.4
            type: string
        type: object
    type: object
  storage:
    default:
      volume:
        access_mode: ReadWriteOnce
        size: 8Gi
    description: Configure this app storage
    examples:
    - volume:
        access_mode: ReadWriteOnce
        size: 8Gi
    properties:
      volume:
        default:
          access_mode: ReadWriteOnce
          size: 8Gi
        properties:
          access_mode:
            default: ReadWriteOnce
            type: string
          size:
            default: 8Gi
            type: string
        type: object
    type: object
dependencies:
- dist: null
  category: crd
  component: fission
providers:
  kubernetes: true
  authentik: null
  kubectl: true
  postgresql: null
  mysql: null
  restapi: null
  http: null
  gitea: null
tfaddtype: null
